diff mbox

[3/3] generic/270: Check for scratch mount success

Message ID 20180203185737.21025-3-agruenba@redhat.com (mailing list archive)
State New, archived
Headers show

Commit Message

Andreas Gruenbacher Feb. 3, 2018, 6:57 p.m. UTC
We don't want to fill up the scratch mount point if the scratch mount
fails.

Signed-off-by: Andreas Gruenbacher <agruenba@redhat.com>
---
 tests/generic/270 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
diff mbox

Patch

diff --git a/tests/generic/270 b/tests/generic/270
index f5026ba0..318f532a 100755
--- a/tests/generic/270
+++ b/tests/generic/270
@@ -83,7 +83,7 @@  _require_command "$KILLALL_PROG" killall
 
 rm -f $seqres.full
 _scratch_mkfs_sized $((512 * 1024 * 1024)) >> $seqres.full 2>&1
-_scratch_mount "-o usrquota,grpquota"
+_scratch_mount "-o usrquota,grpquota" || _fail "mount failed"
 chmod 777 $SCRATCH_MNT
 quotacheck -u -g $SCRATCH_MNT 2>/dev/null
 quotaon -u -g $SCRATCH_MNT 2>/dev/null